echo off
::       Ziele 
::           • Schnellstmögliche Neuinstallation auf aktuellen Stand, d.h. inkl. erforderlicher Updates ohne Internet-Verbindung
::           • Reduzierung der Installations-Bestandteile auf Erfordernisse, um zu kopierende Datenmenge bzw. Installationsdauer klein zu halten
::           • Mit jeder Sprache nutzbar
::           • Beschränkung auf Hersteller- und Bordmittel
::           • Leicht nachvollziehbar und wiederverwendbar
::       Ablauf
::           • Dism installieren
::           • Verzeichnisse anlegen bzw. kopieren
::           • win10dvd und win10updates füllen, Platzhalter (0 kilobyte) ersetzen
::           • CMD als Admin starten, in c:\win10 wechseln und Batch aufrufen
::       
::       Voraussetzungen:
::         Aktuelle DISM-Version (https://docs.microsoft.com/de-de/windows-hardware/get-started/adk-install)
::         oscdimg.exe in c:\win10
::         c:\win10\win10dvd mit dem Inhalt der aktuellen Win-ISO. https://www.microsoft.com/de-de/software-download/windows10 aufrufen,
::                           im Entwicklermodus des Browsers den Client auf Tablet umstellen, Seite neu laden und Sprache/Version etc. auswählen. 
::         c:\win10\win10mount vorhandenes Verzeichnis fuer laden und entladen der enthaltenen Win-Versionen
::         c:\win10\win10updates00 bis 03 für SSU,kumulatives Update, Flash und .net für die richtige Reihenfolge.
::         c:\win10\win10drivers ggf. mit Treibern fuer das Geraet
::   
::       Im Folgenden wird zeilenweise
::       -Falls vorhanden, aus install.esd alle enthaltenen Versionen in install.wim exportiert (/export-image)
::         -Win10Home/Pro (Index 1,5) der install.wim geladen (mount-wim), darin
::           -Updates (/add-package) und ggf.
::           -Treiber (/add-driver) hinzugefuegt,
::           -Teile der Registry geladen (reg load),
::             -Eintraege vorgenommen (reg add),
::             -entfernt (reg delete) und
::           -endladen (reg unload).
::           -Apps entfernt (/::   ove-ProvisionedAppxPackage)
::         -Win10Pro zurueckgeschrieben (/unmount-wim, /commit),
::       -Win10Pro (/SourceIndex:5) aus install.wim in install2.wim exportiert/komprimiert/geprueft (/export-image),
::       -Win10Pro (nun /SourceIndex:1) aus install2.wim in installPro.esd exportiert/komprimiert (/export-image),
::       -install.wim und install2.wim geloescht,
::       -install.esd geloescht, falls vorhanden
::       -installPro.esd in install.esd unbenannt,
::       -win10x64de_datum.iso erzeugt, zuvor ggf. alte win10x64de_datum.iso geloescht.
::       [notiz]Noch offen: "Einrichtung abschließen" bzw. "Ziehen Sie einen noch größeren Nutzen" bei Internet-Verbindung unterbinden

::  Prüfung der in install.esd enthaltenene Windows-Versionen
::  dism /Get-WimInfo /WimFile:C:\win10\win10dvd\sources\install.esd
::  Analog Prüfung der in install.wim enthaltenene Windows-Versionen
::  dism /Get-WimInfo /WimFile:C:\win10\win10dvd\sources\install.wim
::  Enthaltene Apps (je index!) anzeigen und in die apps.txt schreiben
::  dism /image:c:\win10\win10mount /Get-ProvisionedAppxPackages > apps.txt
::  Enthaltene Features (je index!) anzeigen und in die features.txt schreiben
::  dism /image:c:\win10\win10mount /Get-Features  > features.txt
::  Verwerfen der Änderungen an der Version und Freigabe des Verzeichnisses win10mount
::  dism /unmount-wim /mountdir:c:\win10\win10mount /discard
::
::   
setlocal EnableDelayedExpansion

set "startTime=%time: =0%"
set "PATH=C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\DISM;%PATH%"


 echo %time:~0,5%     Job01  Falls install.esd vorhanden, alles in install.wim exportieren zur Bearbeitung
IF EXIST "C:\win10\win10dvd\sources\install.esd" (
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:1 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Home"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:2 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Home N"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:3 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Education"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:4 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Education N"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:5 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Pro"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:6 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Pro N"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:7 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Pro Education"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:8 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Pro Education N"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:9 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Pro for Workstations"  /compress:max /CheckIntegrity
dism /export-image /SourceImageFile:C:\win10\win10dvd\sources\install.esd /SourceIndex:10 /DestinationImageFile:C:\win10\win10dvd\sources\install.wim /DestinationName:"Windows 10 Pro N for Workstations"  /compress:max /CheckIntegrity
)

 echo %time:~0,5%     Job02  Win10Home  Index1  des  Images  laden
dism /mount-wim /wimfile:c:\win10\win10dvd\sources\install.wim /index:1 /mountdir:c:\win10\win10mount
 echo %time:~0,5%     Job03  Updates hinzufuegen
 echo %time:~0,5%            Servicing Stack Update hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates00\
 echo %time:~0,5%            Kumulatives Update hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates01\
 echo %time:~0,5%            Adobe Flash Player hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates02\
 echo %time:~0,5%            NET Framework hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates03\

 echo %time:~0,5%     Job04  ggf Treiber hinzufuegen
IF EXIST c:\win10\win10drivers\* dism /image:c:\win10\win10mount /add-driver /driver:c:\win10\win10drivers /Recurse


 echo %time:~0,5%     Job05  Registry-Teile laden
reg load HKLM\WIM_Users "C:\win10\win10mount\Users\Default\ntuser.dat"
reg load HKLM\WIM_Software "C:\win10\win10mount\Windows\System32\Config\Software"

 echo            Registry anpassen
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "OemPreInstalledAppsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "PreInstalledAppsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "SilentInstalledAppsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "SoftLandingEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "ContentDeliveryAllowed" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "PreInstalledAppsEverEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "SystemPaneSuggestionsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer" /v "EnableAutoTray" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "HideFileExt" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "LaunchTo" /t REG_DWORD /d "1" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "ShowCortanaButton" /t REG_DWORD /d "0" /f
::reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\People" /v "PeopleBand" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\ControlPanel" /v "AllItemsIconView" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\ControlPanel" /v "StartupPage" /t REG_DWORD /d "1" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Search" /v "SearchboxTaskbarMode" /t REG_DWORD /d "1" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Privacy" /v "TailoredExperiencesWithDiagnosticDataEnabled" /t REG_DWORD /d "0" /f
reg delete "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Run" /v "OneDriveSetup" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Microsoft\Windows\CurrentVersion\Explorer\HideDesktopIcons\NewStartPanel" /v "{20D04FE0-3AEA-1069-A2D8-08002B30309D}" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Microsoft\Windows\CurrentVersion\Explorer\HideDesktopIcons\NewStartPanel" /v "{59031a47-3f72-44a7-89c5-5595fe6b30ee}" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Policies\Microsoft\Windows\DataCollection" /v "AllowTelemetry" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Policies\Microsoft\Windows\CloudContent" /v "AllowTelemetry" /t REG_DWORD /d "0" /f

 echo            Registry entladen
reg unload HKLM\WIM_Users
reg unload HKLM\WIM_Software

replace C:\win10\DefaultLayouts.xml C:\win10\win10mount\Users\Default\AppData\Local\Microsoft\Windows\Shell /R
del "C:\win10\win10mount\Users\Default\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\OneDrive.lnk"

 echo %time:~0,5%     Job06  Features deaktivieren
dism /image:c:\win10\win10mount /Disable-Feature /FeatureName:FaxServicesClientPackage
dism /image:c:\win10\win10mount /Disable-Feature /FeatureName:Printing-XPSServices-Features

 echo %time:~0,5%     Job07  Apps entfernen
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.BingWeather_4.25.20211.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.DesktopAppInstaller_2019.125.2243.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.GetHelp_10.1706.13331.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Getstarted_7.3.20251.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.HEIFImageExtension_1.0.13472.0_x64__8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Messaging_2019.125.32.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Microsoft3DViewer_5.1902.20012.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MicrosoftOfficeHub_18.1901.1141.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MicrosoftSolitaireCollection_4.2.11280.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MicrosoftStickyNotes_3.1.53.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MixedReality.Portal_2000.19010.1151.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MSPaint_2019.213.1858.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Office.OneNote_16001.11126.20076.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.OneConnect_5.1902.361.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.People_2019.123.2346.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Print3D_3.3.311.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.ScreenSketch_2018.1214.231.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.SkypeApp_14.35.152.0_neutral_~_kzf8qxf38zg5c
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.VP9VideoExtensions_1.0.13333.0_x64__8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Wallet_2.4.18324.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WebMediaExtensions_1.0.13321.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WebpImageExtension_1.0.12821.0_x64__8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Windows.Photos_2019.18114.19418.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsAlarms_2019.105.629.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsCalculator_2019.105.612.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsCamera_2018.826.78.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:microsoft.windowscommunicationsapps_16005.11029.20108.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsFeedbackHub_2019.226.2324.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsMaps_2019.108.627.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsSoundRecorder_2019.105.618.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Xbox.TCUI_1.23.28002.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxApp_48.48.7001.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxGameOverlay_1.32.17005.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxGamingOverlay_2.26.14003.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxIdentityProvider_12.50.6001.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxSpeechToTextOverlay_1.17.29001.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.YourPhone_2018.1128.231.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.ZuneMusic_2019.18111.17311.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.ZuneVideo_2019.18111.17311.0_neutral_~_8wekyb3d8bbwe

 echo %time:~0,5%     Job08  Win10Home zurueckschreiben
dism /unmount-wim /mountdir:c:\win10\win10mount /commit


 echo %time:~0,5%     Job09  Win10Pro (Index 5) laden
dism /mount-wim /wimfile:c:\win10\win10dvd\sources\install.wim /index:5 /mountdir:c:\win10\win10mount
 echo %time:~0,5%     Job10  Updates hinzufuegen
 echo %time:~0,5%            Servicing Stack Update hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates00\
 echo %time:~0,5%            Kumulatives Update hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates01\
 echo %time:~0,5%            Adobe Flash Player hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates02\
 echo %time:~0,5%            NET Framework hinzufuegen
dism /image:c:\win10\win10mount /add-package /packagepath:c:\win10\win10updates03\

 echo %time:~0,5%     Job11  ggf Treiber hinzufuegen
IF EXIST c:\win10\win10drivers\* dism /image:c:\win10\win10mount /add-driver /driver:c:\win10\win10drivers /Recurse


 echo %time:~0,5%     Job12  Registry-Teile laden
reg load HKLM\WIM_Users "C:\win10\win10mount\Users\Default\ntuser.dat"
reg load HKLM\WIM_Software "C:\win10\win10mount\Windows\System32\Config\Software"

 echo            Registry anpassen
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "OemPreInstalledAppsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "PreInstalledAppsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "SilentInstalledAppsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "SoftLandingEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "ContentDeliveryAllowed" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "PreInstalledAppsEverEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\ContentDeliveryManager" /v "SystemPaneSuggestionsEnabled" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer" /v "EnableAutoTray" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "HideFileExt" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "LaunchTo" /t REG_DWORD /d "1" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v "ShowCortanaButton" /t REG_DWORD /d "0" /f
::eg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\People" /v "PeopleBand" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\ControlPanel" /v "AllItemsIconView" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Explorer\ControlPanel" /v "StartupPage" /t REG_DWORD /d "1" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Search" /v "SearchboxTaskbarMode" /t REG_DWORD /d "1" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Privacy" /v "TailoredExperiencesWithDiagnosticDataEnabled" /t REG_DWORD /d "0" /f
reg delete "HKEY_LOCAL_MACHINE\WIM_Users\Software\Microsoft\Windows\CurrentVersion\Run" /v "OneDriveSetup" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Microsoft\Windows\CurrentVersion\Explorer\HideDesktopIcons\NewStartPanel" /v "{20D04FE0-3AEA-1069-A2D8-08002B30309D}" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Microsoft\Windows\CurrentVersion\Explorer\HideDesktopIcons\NewStartPanel" /v "{59031a47-3f72-44a7-89c5-5595fe6b30ee}" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Policies\Microsoft\Windows\DataCollection" /v "AllowTelemetry" /t REG_DWORD /d "0" /f
reg add "HKEY_LOCAL_MACHINE\WIM_Software\Policies\Microsoft\Windows\CloudContent" /v "AllowTelemetry" /t REG_DWORD /d "0" /f

 echo            Registry entladen
reg unload HKLM\WIM_Users
reg unload HKLM\WIM_Software

replace C:\win10\DefaultLayouts.xml C:\win10\win10mount\Users\Default\AppData\Local\Microsoft\Windows\Shell /R
del "C:\win10\win10mount\Users\Default\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\OneDrive.lnk"

 echo %time:~0,5%     Job13  Features deaktivieren
dism /image:c:\win10\win10mount /Disable-Feature /FeatureName:FaxServicesClientPackage
dism /image:c:\win10\win10mount /Disable-Feature /FeatureName:Printing-XPSServices-Features

 echo %time:~0,5%     Job14  Apps entfernen
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.BingWeather_4.25.20211.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.DesktopAppInstaller_2019.125.2243.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.GetHelp_10.1706.13331.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Getstarted_7.3.20251.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.HEIFImageExtension_1.0.13472.0_x64__8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Messaging_2019.125.32.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Microsoft3DViewer_5.1902.20012.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MicrosoftOfficeHub_18.1901.1141.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MicrosoftSolitaireCollection_4.2.11280.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MicrosoftStickyNotes_3.1.53.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MixedReality.Portal_2000.19010.1151.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.MSPaint_2019.213.1858.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Office.OneNote_16001.11126.20076.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.OneConnect_5.1902.361.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.People_2019.123.2346.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Print3D_3.3.311.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.ScreenSketch_2018.1214.231.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.SkypeApp_14.35.152.0_neutral_~_kzf8qxf38zg5c
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.VP9VideoExtensions_1.0.13333.0_x64__8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Wallet_2.4.18324.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WebMediaExtensions_1.0.13321.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WebpImageExtension_1.0.12821.0_x64__8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Windows.Photos_2019.18114.19418.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsAlarms_2019.105.629.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsCalculator_2019.105.612.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsCamera_2018.826.78.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:microsoft.windowscommunicationsapps_16005.11029.20108.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsFeedbackHub_2019.226.2324.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsMaps_2019.108.627.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.WindowsSoundRecorder_2019.105.618.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.Xbox.TCUI_1.23.28002.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxApp_48.48.7001.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxGameOverlay_1.32.17005.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxGamingOverlay_2.26.14003.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxIdentityProvider_12.50.6001.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.XboxSpeechToTextOverlay_1.17.29001.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.YourPhone_2018.1128.231.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.ZuneMusic_2019.18111.17311.0_neutral_~_8wekyb3d8bbwe
dism /image:c:\win10\win10mount /Remove-ProvisionedAppxPackage /PackageName:Microsoft.ZuneVideo_2019.18111.17311.0_neutral_~_8wekyb3d8bbwe

 echo %time:~0,5%     Job15  Win10Pro zurueckschreiben
dism /unmount-wim /mountdir:c:\win10\win10mount /commit

:: WIM, ESD und ISO erzeugen
 echo %time:~0,5%     Job16  Win10Home in install2.wim exportieren/komprimieren/pruefen
dism /export-image /SourceImageFile:c:\win10\win10dvd\sources\install.wim /SourceIndex:1 /DestinationImageFile:c:\win10\win10dvd\sources\install2.wim /Compress:maximum /CheckIntegrity
 echo %time:~0,5%     Job17  Win10Pro in install2.wim exportieren/komprimieren/pruefen
dism /export-image /SourceImageFile:c:\win10\win10dvd\sources\install.wim /SourceIndex:5 /DestinationImageFile:c:\win10\win10dvd\sources\install2.wim /Compress:maximum /CheckIntegrity
 echo %time:~0,5%     Job18  Win10Home in installPro.esd exportieren/komprimieren
dism /export-image /SourceImageFile:c:\win10\win10dvd\sources\install2.wim /SourceIndex:1 /DestinationImageFile:"C:\win10\win10dvd\sources\installPro.esd" /Compress:recovery
 echo %time:~0,5%     Job19  Win10Pro in installPro.esd exportieren/komprimieren
dism /export-image /SourceImageFile:c:\win10\win10dvd\sources\install2.wim /SourceIndex:2 /DestinationImageFile:"C:\win10\win10dvd\sources\installPro.esd" /Compress:recovery
 echo %time:~0,5%     Job20  install.wim und install2.wim loeschen
del c:\win10\win10dvd\sources\install.wim
del c:\win10\win10dvd\sources\install2.wim
 echo %time:~0,5%            install.esd loeschen, falls vorhanden
IF EXIST "c:\win10\win10dvd\sources\install.esd" delete c:\win10\win10dvd\sources\install.esd
 echo %time:~0,5%            installPro.esd in install.esd unbenennen
rename c:\win10\win10dvd\sources\installPro.esd install.esd
 echo %time:~0,5%            ggf alte ISO entfernen, neue erzeugen
IF EXIST "c:\win10\win10x64de_%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%.iso" del c:\win10\win10x64de_%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%.iso
c:\win10\oscdimg.exe -lWIN10x64de -m -u2 -bc:\win10\win10dvd\boot\etfsboot.com c:\win10\win10dvd c:\win10\win10x64de_%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%.iso

echo Fertigstellung Upgrade-Job: %time:~0,8% Uhr
set "endTime=%time: =0%" & rem fix single digit hour

rem Regional format fix with just one aditional line
for /f "tokens=1-3 delims=0123456789" %%i in ("%endTime%") do set "COLON=%%i" & set "DOT=%%k" 

rem Get elapsed time
set "end=!endTime:%DOT%=%%100)*100+1!" & set "start=!startTime:%DOT%=%%100)*100+1!"
set /A "elap=((((10!end:%COLON%=%%100)*60+1!%%100)-((((10!start:%COLON%=%%100)*60+1!%%100)"

rem Fix 24 hours 
set /A "elap=!elap:-=8640000-!"

rem Convert elapsed time to HH:MM:SS:CC format:
set /A "cc=elap%%100+100,elap/=100,ss=elap%%60+100,elap/=60,mm=elap%%60+100,hh=elap/60+100"

echo Start:    %startTime% 
echo End:      %endTime%
echo Elapsed:  %hh:~1%%COLON%%mm:~1%%COLON%%ss:~1%%DOT%%cc:~1% 
pause